<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for RRegion StructType
 * @subpackage Structs
 */
class RRegion extends AbstractStructBase
{
    /**
     * The name
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxLength: 50
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $name;
    /**
     * The relatedRegions
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \\Losc\CucmBundle\Model\Webservice\StructType\RelatedRegions
     */
    public $relatedRegions;
    /**
     * The defaultCodec
     * Meta information extracted from the WSDL
     * - documentation: Not valid for get and list
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $defaultCodec;
    /**
     * The uuid
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - pattern: \{........-....-....-....-............\}
     * @var string
     */
    public $uuid;
    /**
     * Constructor method for RRegion
     * @uses RRegion::setName()
     * @uses RRegion::setRelatedRegions()
     * @uses RRegion::setDefaultCodec()
     * @uses RRegion::setUuid()
     * @param string $name
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\RelatedRegions $relatedRegions
     * @param string $defaultCodec
     * @param string $uuid
     */
    public function __construct($name = null, \\Losc\CucmBundle\Model\Webservice\StructType\RelatedRegions $relatedRegions = null, $defaultCodec = null, $uuid = null)
    {
        $this
            ->setName($name)
            ->setRelatedRegions($relatedRegions)
            ->setDefaultCodec($defaultCodec)
            ->setUuid($uuid);
    }
    /**
     * Get name value
     * @return string|null
     */
    public function getName()
    {
        return $this->name;
    }
    /**
     * Set name value
     * @param string $name
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RRegion
     */
    public function setName($name = null)
    {
        $this->name = $name;
        return $this;
    }
    /**
     * Get relatedRegions value
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RelatedRegions|null
     */
    public function getRelatedRegions()
    {
        return $this->relatedRegions;
    }
    /**
     * Set relatedRegions value
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\RelatedRegions $relatedRegions
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RRegion
     */
    public function setRelatedRegions(\\Losc\CucmBundle\Model\Webservice\StructType\RelatedRegions $relatedRegions = null)
    {
        $this->relatedRegions = $relatedRegions;
        return $this;
    }
    /**
     * Get defaultCodec value
     * @return string|null
     */
    public function getDefaultCodec()
    {
        return $this->defaultCodec;
    }
    /**
     * Set defaultCodec value
     * @param string $defaultCodec
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RRegion
     */
    public function setDefaultCodec($defaultCodec = null)
    {
        $this->defaultCodec = $defaultCodec;
        return $this;
    }
    /**
     * Get uuid value
     * @return string|null
     */
    public function getUuid()
    {
        return $this->uuid;
    }
    /**
     * Set uuid value
     * @param string $uuid
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RRegion
     */
    public function setUuid($uuid = null)
    {
        $this->uuid = $uuid;
        return $this;
    }
}
